
use dioxus::prelude::*;

#[component]
pub fn TitleCard(card_title: String) -> Element {
    rsx! {
        div { class: "p-4 w-full rounded-sm ring-4 ring-alice-werefox-red-dark dark:ring-alice-werefox-red bg-alice-werefox-grey-lightest dark:bg-alice-werefox-grey-dark text-xl text-center text-alice-werefox-red-dark dark:text-alice-werefox-red-light",
            span { class: "animate-bounce align-middle inline-block w-6 h-6", img {
                class: "-scale-x-100",
                src: "/emoji/:alice:.png",
                alt: "It's Alice in emoji form."
            } }
            "- {card_title}"
        }
    }
}